### Function

# Secret Service open_finish

#### Declaration [src]

    SecretService*
    secret_service_open_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an asynchronous operation to create a new `SecretService` proxy for the Secret Service.

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result passed to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretService`

A new reference to a `SecretService` proxy, which should be released with `g_object_unref()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.